Package: org.codehaus.groovy.runtime.typehandling

## [Java] Class FloatingPointMath

- org.codehaus.groovy.runtime.typehandling.FloatingPointMath

-     public final class FloatingPointMath
      extends NumberMath

  FloatingPoint (Double and Float) NumberMath operations

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static FloatingPointMath` | `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Number` | `absImpl(Number number)`
    `` | `public Number` | `addImpl(Number left, Number right)`
    `` | `public int` | `compareToImpl(Number left, Number right)`
    `` | `public Number` | `divideImpl(Number left, Number right)`
    `` | `protected Number` | `modImpl(Number left, Number right)`
    `` | `public Number` | `multiplyImpl(Number left, Number right)`
    `` | `public Number` | `subtractImpl(Number left, Number right)`
    `` | `protected Number` | `unaryMinusImpl(Number left)`
    `` | `protected Number` | `unaryPlusImpl(Number left)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NumberMath` | `abs, absImpl, add, addImpl, and, andImpl, bitwiseNegate, bitwiseNegateImpl, compareTo, compareToImpl, createUnsupportedException, divide, divideImpl, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isByte, isFloatingPoint, isInteger, isLong, isShort, leftShift, leftShiftImpl, mod, modImpl, multiply, multiplyImpl, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryMinusImpl, unaryPlus, unaryPlusImpl, xor, xorImpl`

- - ### Field Detail

    - #### public static final FloatingPointMath INSTANCE

  - ### Method Detail

    - #### protected Number absImpl(Number number)

    - #### public Number addImpl(Number left, Number right)

    - #### public int compareToImpl(Number left, Number right)

    - #### public Number divideImpl(Number left, Number right)

    - #### protected Number modImpl(Number left, Number right)

    - #### public Number multiplyImpl(Number left, Number right)

    - #### public Number subtractImpl(Number left, Number right)

    - #### protected Number unaryMinusImpl(Number left)

    - #### protected Number unaryPlusImpl(Number left)